import { SOTKBase } from './index';
export declare function getCards(this: SOTKBase): Promise<{
    number: string;
    getInfo: () => Promise<CardInfo>;
    getHistory: (startDate?: Date, endDate?: Date) => Promise<import("./history").HistoryEntry[]>;
    delete: () => Promise<{
        success: true;
        data: any;
        message: any;
        messages: any;
    }>;
}[]>;
export declare type CardInfo = {
    /** Строка с номером карты, может содержать нули в начале */
    short: string;
    ctg: number;
    /** Описание, например "Карта Школьника" */
    ctgdesk: string;
    /** Строка, содержащая баланс карты, дробная часть отделяется точкой */
    balance: string;
    st_limit: null | any;
    type: string;
};
export declare function getCardInfo(this: SOTKBase, cardID: any): Promise<CardInfo>;
export declare function addCard(this: SOTKBase, cardID: string): Promise<{
    success: true;
    data: any;
    message: any;
    messages: any;
}>;
export declare function deleteCard(this: SOTKBase, cardID: any): Promise<{
    success: true;
    data: any;
    message: any;
    messages: any;
}>;
